import { MerchantUrl, RenderError } from "@hypernetlabs/objects";
import { ResultAsync, Result } from "neverthrow";
import { IConnectorAuthorizationFlowParams, IHypernetWebIntegration, IRenderParams, IRenderPaymentWidgetParams } from "../../interfaces/app/IHypernetWebIntegration";
import IHypernetIFrameProxy from "../../interfaces/proxy/IHypernetIFrameProxy";
export default class HypernetWebIntegration implements IHypernetWebIntegration {
    private static instance;
    protected iframeURL: string;
    protected currentMerchantUrl: MerchantUrl | undefined | null;
    core: IHypernetIFrameProxy;
    constructor(iframeURL?: string);
    protected getReadyResult: ResultAsync<IHypernetIFrameProxy, Error> | undefined;
    getReady(): ResultAsync<IHypernetIFrameProxy, Error>;
    static getInstance(): IHypernetWebIntegration;
    private _generateDomElement;
    private _removeExistedElement;
    private _bootstrapComponent;
    private _prepareIFrameContainer;
    private _renderPrivateKeysModal;
    private _getThrowableRender;
    renderBalancesWidget(config?: IRenderParams): Result<void, RenderError>;
    renderFundWidget(config?: IRenderParams): Result<void, RenderError>;
    renderLinksWidget(config?: IRenderParams): Result<void, RenderError>;
    renderPaymentWidget(config?: IRenderPaymentWidgetParams): Result<void, RenderError>;
    renderConnectorAuthorizationFlow(config: IConnectorAuthorizationFlowParams): Result<void, RenderError>;
    displayMerchantIFrame(merchantUrl: MerchantUrl): void;
    closeMerchantIFrame(merchantUrl: MerchantUrl): void;
}
//# sourceMappingURL=HypernetWebIntegration.d.ts.map